<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Pelaporan BKD</title>
</head>
<body>
<div layout:fragment="main" class="container">

    <div class="row mb-5">
        <div th:if="${success != null}" class="alert alert-success" role="alert">
            <span th:text="${success}"></span>
        </div>

        <H3 class="mb-5"><i class="fa-solid fa-bookmark" style="color: #d3b30d"></i> Detail Assesment Dosen</H3>
        <div class="col-md-3">
            <img src="https://dummyimage.com/sqrpop" width="250" height="250" class="img-thumbnail mb-2" alt="..." th:if="${dosenDetail == null}">
            <img th:src="@{/upload/{foto}/biodata/ (foto =${dosenDetail.getId()})}" width="250" height="250" class="img-thumbnail mb-2" alt="..." th:if="${dosenDetail != null}">
        </div>
        <div class="col-md-9 text-secondary">
            <div class="row p-1">
                <div class="col-md-3">Nama Lengkap</div><div class="col-md-9" th:text="${': '+ dosen.getNama()}">:</div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">NIDN</div><div class="col-md-9">:
                <span th:if="${dosenDetail != null and dosenDetail.getNidn() != null}" th:text="${dosenDetail.getNidn()}"></span>
                </div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">No. Serdos</div><div class="col-md-9">:
                <span th:if="${dosenDetail != null and dosenDetail.getNomorSertifikat() != null}" th:text="${dosenDetail.getNomorSertifikat()}"></span>
                </div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">Fakultas</div><div class="col-md-9">:
                <span th:if="${dosenDetail != null and dosenDetail.getFakultas() != null}" th:text="${dosenDetail.getFakultas()}"></span>
                </div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">Program Studi</div><div class="col-md-9">:
                <span th:if="${dosenDetail != null and dosenDetail.getProdi() != null}" th:text="${dosenDetail.getProdi().getNamaProgramStudi()}"></span>
                </div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">Jabatan Fungsional</div><div class="col-md-9">:
                <span th:if="${dosenDetail != null and dosenDetail.getJabatanFungsional() != null}" th:text="${dosenDetail.getJabatanFungsional()}"></span>
                </div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">Asesor 1</div>
                <div class="col-md-9">:
                    <span th:if="${dosen.getAsesorSatu() !=  null}" th:text="${dosen.getAsesorSatu().getNamaLengkap()}"></span>
                </div>
            </div>
            <div class="row p-1">
                <div class="col-md-3">Asesor 2</div>
                <div class="col-md-9">:
                <span th:if="${dosen.getAsesorDua() != null}" th:text="${dosen.getAsesorDua().getNamaLengkap()}"></span>
                </div>
            </div>
        </div>
    </div>

    <form method="get">
        <div class="row">
            <div class="col-md-3">
                <a th:href="@{/pelaporan_bkd}" class="btn btn-success">Kembali</a>
            </div>
            <div class="col-md-4">
                <div class="mb-3 row">
                    <label for="role" class="col-sm-4 col-form-label">Bidang :</label>
                    <div class="col-sm-8">
                        <select class="form-select" id="role" name="bidang" aria-label="Default select example">
                            <option th:value="${null}">SEMUA</option>
                            <option th:each="data : ${bidang}"
                                    th:selected="(${data} == *{bidangSelected})"
                                    th:text="${data}"
                                    th:value="${data}">sdasd</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <select class="form-select" id="selecsemester" name="selectSemester" aria-label="Default select example" >
                    <option th:value="${null}">Pilih Semester</option>
                    <option th:each="data : ${listSemester}"
                            th:selected="(${data} == *{semester})"
                            th:text="${data.namaSemester}"
                            th:value="${data.id}">Dosen Biasa</option>
                </select>
                <input type="hidden" name="dosen" th:value="${dosen.getId()}">
            </div>
            <div class="col-md-1" align="right">
                <button type="submit" class="btn btn-success">Filter</button>
            </div>
        </div>
    </form>
    <div class="row mb-4">
        <div class="col-md-12">
            <table class="table table-bordered table-responsive mb-4">
                <thead class="table-dark bg-success border-white" style="--bs-table-bg:bg-success;">
                <tr>
                    <th class="align-middle text-center" rowspan="2" width="10px">No.</th>
                    <th class="align-middle text-center" rowspan="2">Jenis Kegiatan</th>
                    <th class="align-middle text-center" rowspan="2">Bidang</th>
                    <th class="align-middle text-center" colspan="2">Beban Kerja</th>
                    <th class="align-middle text-center" rowspan="2">Masa Penugasan</th>
                    <th class="align-middle text-center" colspan="2">Beban Kinerja</th>
                    <th class="align-middle text-center" rowspan="2">Status Penilaian</th>

                </tr>
                <tr>
                    <th class="align-middle text-center">Bukti Penugasan</th>
                    <th class="align-middle text-center">SKS</th>
                    <th class="align-middle text-center">Bukti Kinerja</th>
                    <th class="align-middle text-center">SKS</th>
                </tr>
                </thead>
                <tbody th:each="data,row : ${listLaporanBkd}">
                <tr th:if="${((row.index + 2) % 2) == 1}" style="background-color: #e6f6eb">
                    <td rowspan="3" align="right"  th:text="${row.index + 1}"></td>
                    <td th:text="${data.getNamaKegiatan()}"></td>
                    <td align="center" th:text="${data.getBidang()}"></td>
                    <td>
                        <div class="text-black" th:text="${data.getBuktiPenugasan()}"></div>
                        <div class="text-success fst-italic small">Dokumen Penugasan :</div>
                        <div class="row" th:each="dataFile,row : ${listLaporanBkdFile}">
                            <div class="col-md-10">
                                <div class="text-truncate" style="max-width: 150px;">
                                    <a th:href="@{/laporanbkd/{laporanBkdFile}/filepenugasan/(laporanBkdFile = ${dataFile.id})}" target="_blank" th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}" class="text-primary fst-italic small me-2" th:text="${dataFile.getNamaFile()}">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td th:text="${data.getJumlahSks()}"></td>
                    <td align="right" th:text="${data.getMasaPenugasan() + ' Semester'}"></td>
                    <td>
                        <div class="text-black" th:text="${data.getBuktiKinerja()}"></div>
                        <div class="text-success fst-italic small">Dokumen Kinerja :</div>
                        <div class="row" th:each="dataFile,row : ${listLaporanBkdFile}">
                            <div class="col-md-10">
                                <div class="text-truncate" style="max-width: 150px;">
                                    <a th:href="@{/laporanbkd/{laporanBkdFile}/filekinerja/(laporanBkdFile = ${dataFile.id})}" target="_blank"  th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}" class="text-primary fst-italic small me-2" th:text="${dataFile.getNamaFile()}">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td th:text="${data.getSksTerpenuhi()}"></td>
                    <td rowspan="3" align="center">
                        <span th:if="${data.getSksTerpenuhiAsesor1() != null and data.getSksTerpenuhiAsesor2() != null}" class="text-bg-success p-1">Selesai</span>
                        <span th:if="${data.getSksTerpenuhiAsesor1() == null or data.getSksTerpenuhiAsesor2() == null}" class="text-bg-danger p-1"> Belum Selesai Dinilai </span>
<!--                        <span th:if="${data.getSksTerpenuhiAsesor2() != null}" class="text-bg-success p-1"> Selesai </span>-->
<!--                        <span th:if="${data.getSksTerpenuhiAsesor2() == null}" class="text-bg-danger p-1"> Belum Dinilai </span>-->
                    </td>
                </tr>
                <tr th:if="${((row.index + 2) % 2) == 1}" style="background-color: #e6f6eb">
                    <td colspan="4">
                        <span class="text-success fw-bold">Catatan Asesor 1 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getCatatanAsesor1() != null}" th:text="${data.getCatatanAsesor1()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getCatatanAsesor1() == null}">Belum ada</p>
                    </td>
                    <td colspan="2">
                        <span class="text-success fw-bold">Rekomendasi Asesor 1 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getRekomendasiAsesor1() != null}" th:text="${data.getRekomendasiAsesor1()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getRekomendasiAsesor1() == null}">Belum ada</p>
                    </td>
                    <td th:text="${data.sksTerpenuhiAsesor1}"></td>
                </tr>
                <tr th:if="${((row.index + 2) % 2) == 1}" style="background-color: #e6f6eb">
                    <td colspan="4">
                        <span class="text-success fw-bold">Catatan Asesor 2 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getCatatanAsesor2() != null}" th:text="${data.getCatatanAsesor2()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getCatatanAsesor2() == null}">Belum ada</p>
                    </td>
                    <td colspan="2">
                        <span class="text-success fw-bold">Rekomendasi Asesor 2 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getRekomendasiAsesor2() != null}" th:text="${data.getRekomendasiAsesor2()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getRekomendasiAsesor2() == null}">Belum ada</p>
                    </td>
                    <td th:text="${data.sksTerpenuhiAsesor2}"></td>
                </tr>


                <tr th:if="${((row.index + 2) % 2) == 0}">
                    <td rowspan="3" align="right"  th:text="${row.index + 1}"></td>
                    <td th:text="${data.getNamaKegiatan()}"></td>
                    <td th:text="${data.getBidang()}"></td>
                    <td>
                        <div class="text-black" th:text="${data.getBuktiPenugasan()}"></div>
                        <div class="text-success fst-italic small">Dokumen Penugasan :</div>
                        <div class="row" th:each="dataFile,row : ${listLaporanBkdFile}">
                            <div class="col-md-10">
                                <div class="text-truncate" style="max-width: 150px;">
                                    <a th:href="@{/laporanbkd/{laporanBkdFile}/filepenugasan/(laporanBkdFile = ${dataFile.id})}" target="_blank" th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}" class="text-primary fst-italic small me-2" th:text="${dataFile.getNamaFile()}">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td th:text="${data.getJumlahSks()}"></td>
                    <td align="right" th:text="${data.getMasaPenugasan() + ' Semester'}"></td>
                    <td>
                        <div class="text-black" th:text="${data.getBuktiKinerja()}"></div>
                        <div class="text-success fst-italic small">Dokumen Kinerja :</div>
                        <div class="row" th:each="dataFile,row : ${listLaporanBkdFile}">
                            <div class="col-md-10">
                                <div class="text-truncate" style="max-width: 150px;">
                                    <a th:href="@{/laporanbkd/{laporanBkdFile}/filekinerja/(laporanBkdFile = ${dataFile.id})}" target="_blank"  th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}" class="text-primary fst-italic small me-2" th:text="${dataFile.getNamaFile()}">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td th:text="${data.getSksTerpenuhi()}"></td>
                    <td rowspan="3" align="center">
                        <span th:if="${data.getSksTerpenuhiAsesor1() != null and data.getSksTerpenuhiAsesor2() != null}" class="text-bg-success p-1">Selesai</span>
                        <span th:if="${data.getSksTerpenuhiAsesor1() == null or data.getSksTerpenuhiAsesor2() == null}" class="text-bg-danger p-1"> Belum Selesai Dinilai </span>

<!--                        <span th:if="${data.getSksTerpenuhiAsesor2() != null}" class="text-bg-success p-1">Selesai</span>-->
<!--                        <span th:if="${data.getSksTerpenuhiAsesor2() == null}" class="text-bg-danger p-1"> Belum Dinilai </span>-->
                    </td>

                </tr>
                <tr th:if="${((row.index + 2) % 2) == 0}">
                    <td colspan="4">
                        <span class="text-success fw-bold">Catatan Asesor 1 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getCatatanAsesor1() != null}" th:text="${data.getCatatanAsesor1()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getCatatanAsesor1() == null}">Belum ada</p>
                    </td>
                    <td colspan="2">
                        <span class="text-success fw-bold">Rekomendasi Asesor 1 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getRekomendasiAsesor1() != null}" th:text="${data.getRekomendasiAsesor1()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getRekomendasiAsesor1() == null}">Belum ada</p>
                    </td>
                    <td th:text="${data.sksTerpenuhiAsesor1}"></td>
                </tr>
                <tr th:if="${((row.index + 2) % 2) == 0}">
                    <td colspan="4">
                        <span class="text-success fw-bold">Catatan Asesor 2 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getCatatanAsesor2() != null}" th:text="${data.getCatatanAsesor2()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getCatatanAsesor2() == null}">Belum ada</p>
                    </td>
                    <td colspan="2">
                        <span class="text-success fw-bold">Rekomendasi Asesor 2 :</span>
                        <p class="text-primary fst-italic" th:if="${data.getRekomendasiAsesor2() != null}" th:text="${data.getRekomendasiAsesor2()}"></p>
                        <p class="text-danger fst-italic" th:if="${data.getRekomendasiAsesor2() == null}">Belum ada</p>
                    </td>
                    <td th:text="${data.sksTerpenuhiAsesor2}"></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
</body>
</html>